com.threerings.parlor.card.client

## Class MicroCardSprite

- java.lang.Object
- - com.threerings.media.AbstractMedia
  - - com.threerings.media.sprite.Sprite
    - - com.threerings.media.sprite.ImageSprite
      - - com.threerings.media.sprite.OrientableImageSprite
        - - com.threerings.media.sprite.FadableImageSprite
          - - com.threerings.parlor.card.client.CardSprite
            - - com.threerings.parlor.card.client.MicroCardSprite

All Implemented Interfaces:
  com.threerings.media.util.Pathable, com.threerings.util.DirectionCodes, Shape

    public class MicroCardSprite
    extends CardSprite

### Field Summary

### Fields inherited from class com.threerings.media.sprite.ImageSprite

`DEFAULT_FRAME_RATE, MOVEMENT_CUED, NO_ANIMATION, TIME_BASED, TIME_SEQUENTIAL`

### Fields inherited from class com.threerings.media.AbstractMedia

`HUD_LAYER`

### Fields inherited from interface com.threerings.util.DirectionCodes

`CARDINAL_DIRECTIONS, CCW, CW, DIRECTION_COUNT, DOWN, EAST, EASTNORTHEAST, EASTSOUTHEAST, FINE_DIRECTION_COUNT, HORIZONTAL, LEFT, NONE, NORTH, NORTHEAST, NORTHNORTHEAST, NORTHNORTHWEST, NORTHWEST, RIGHT, SOUTH, SOUTHEAST, SOUTHSOUTHEAST, SOUTHSOUTHWEST, SOUTHWEST, UP, VERTICAL, WEST, WESTNORTHWEST, WESTSOUTHWEST`

### Constructor Summary

Constructors
Constructor and Description
`MicroCardSprite(CardPanel panel, Card card)` Creates a new upward-facing micro-card sprite.
`MicroCardSprite(CardPanel panel, Card card, boolean facingUp)` Creates a new micro-card sprite.

### Method Summary

### Methods inherited from class com.threerings.parlor.card.client.CardSprite

`flip, getCard, isDraggable, isFacingUp, paint, setCard, setDraggable, setFacingUp, tick`

### Methods inherited from class com.threerings.media.sprite.FadableImageSprite

`fadeIn, fadeOut, getAlpha, moveAndFadeIn, moveAndFadeInAndOut, moveAndFadeOut, pathCompleted, setAlpha`

### Methods inherited from class com.threerings.media.sprite.OrientableImageSprite

`setOrientation`

### Methods inherited from class com.threerings.media.sprite.ImageSprite

`hitTest, layout, setAnimationMode, setFrameRate, setFrames, setMirage`

### Methods inherited from class com.threerings.media.sprite.Sprite

`addSpriteObserver, cancelMove, contains, fastForward, getHeight, getOrientation, getPath, getWidth, getX, getXOffset, getY, getYOffset, inside, intersects, isMoving, move, paintPath, pathBeginning, removeSpriteObserver, setLocation, viewLocationDidChange`

### Methods inherited from class com.threerings.media.AbstractMedia

`contains, contains, contains, contains, getBounds, getBounds2D, getPathIterator, getPathIterator, getRenderOrder, init, intersects, intersects, invalidate, queueNotification, renderCompareTo, setRenderOrder, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.threerings.media.util.Pathable

`getBounds`

### Constructor Detail

#### MicroCardSprite

    public MicroCardSprite(CardPanel panel,
                           Card card)

Creates a new upward-facing micro-card sprite.

Parameters:
  `panel` - the panel responsible for the sprite
  `card` - the card to depict (can be null, in which case the card back will be shown)

#### MicroCardSprite

    public MicroCardSprite(CardPanel panel,
                           Card card,
                           boolean facingUp)

Creates a new micro-card sprite.

Parameters:
  `panel` - the panel responsible for the sprite
  `card` - the card to depict
  `facingUp` - whether or not the card should be facing up